%{?nodejs_find_provides_and_requires}

%global packagename console-group
%global enable_tests 1

Name:		nodejs-console-group
Version:	0.2.1
Release:	1%{?dist}
Summary:	Basic console.group implementation for node

License:	MIT
URL:		https://github.com/rich-harris/node-console-group
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Rollup config
Source11:	https://raw.githubusercontent.com/Rich-Harris/node-console-group/v%{version}/rollup.config.js
# License
Source12:	LICENSE-MIT.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rollup)

%if 0%{?enable_tests}
# nothing
%endif

%description
Basic console.group implementation for node


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .
cp -p %{SOURCE12} .

rm lib/*.js

%build
%{_bindir}/rollup -i src/index.js -o lib/index.js -f cjs

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.1-1
- Initial packaging
